Changeset 1646 for trunk


Ignore:
Timestamp:
May 2, 2011 2:28:30 PM (8 years ago)
Author:
lou
Message:

Add checks to configure.ac for zlib and the math, float, and ieeefp headers.
The COIN_HAS_ZLIB symbol is needed to enable the code that attempts to read
gzip'd files. The headers will be required once someone gets around to
cleaning up includes; the current code makes too many assumptions.

Location:
trunk/Cbc
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/Makefile.in

    r1604 r1646  
    206206COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    207207COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     208COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
     209COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    208210COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    209211COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
  • trunk/Cbc/configure

    r1635 r1646  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11011101                          whether to deduce Makefile dependencies from package
    11021102                          linker flags (default: yes)
     1103  --enable-gnu-packages   compile with GNU packages (disabled by default)
    11031104  --enable-cbc-parallel   enables compilation of the SMP version of Cbc
    11041105
     
    31413142esac
    31423143
     3144# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     3145if test x$COIN_PRJCT != x; then
     3146  CFLAGS="$CFLAGS -D${COIN_PRJCT}_BUILD"
     3147fi
     3148
    31433149# Try if CFLAGS works
    31443150save_CFLAGS="$CFLAGS"
     
    40804086esac
    40814087
     4088# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     4089if test x$COIN_PRJCT != x; then
     4090  CXXFLAGS="$CXXFLAGS -D${COIN_PRJCT}_BUILD"
     4091fi
     4092
    40824093# Try if CXXFLAGS works
    40834094save_CXXFLAGS="$CXXFLAGS"
     
    59715982*-*-irix6*)
    59725983  # Find out which ABI we are using.
    5973   echo '#line 5973 "configure"' > conftest.$ac_ext
     5984  echo '#line 5984 "configure"' > conftest.$ac_ext
    59745985  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59755986  (eval $ac_compile) 2>&5
     
    71057116
    71067117# Provide some information about the compiler.
    7107 echo "$as_me:7107:" \
     7118echo "$as_me:7118:" \
    71087119     "checking for Fortran 77 compiler version" >&5
    71097120ac_compiler=`set X $ac_compile; echo $2`
     
    81728183   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81738184   -e 's:$: $lt_compiler_flag:'`
    8174    (eval echo "\"\$as_me:8174: $lt_compile\"" >&5)
     8185   (eval echo "\"\$as_me:8185: $lt_compile\"" >&5)
    81758186   (eval "$lt_compile" 2>conftest.err)
    81768187   ac_status=$?
    81778188   cat conftest.err >&5
    8178    echo "$as_me:8178: \$? = $ac_status" >&5
     8189   echo "$as_me:8189: \$? = $ac_status" >&5
    81798190   if (exit $ac_status) && test -s "$ac_outfile"; then
    81808191     # The compiler can only warn and ignore the option if not recognized
     
    84408451   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84418452   -e 's:$: $lt_compiler_flag:'`
    8442    (eval echo "\"\$as_me:8442: $lt_compile\"" >&5)
     8453   (eval echo "\"\$as_me:8453: $lt_compile\"" >&5)
    84438454   (eval "$lt_compile" 2>conftest.err)
    84448455   ac_status=$?
    84458456   cat conftest.err >&5
    8446    echo "$as_me:8446: \$? = $ac_status" >&5
     8457   echo "$as_me:8457: \$? = $ac_status" >&5
    84478458   if (exit $ac_status) && test -s "$ac_outfile"; then
    84488459     # The compiler can only warn and ignore the option if not recognized
     
    85448555   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85458556   -e 's:$: $lt_compiler_flag:'`
    8546    (eval echo "\"\$as_me:8546: $lt_compile\"" >&5)
     8557   (eval echo "\"\$as_me:8557: $lt_compile\"" >&5)
    85478558   (eval "$lt_compile" 2>out/conftest.err)
    85488559   ac_status=$?
    85498560   cat out/conftest.err >&5
    8550    echo "$as_me:8550: \$? = $ac_status" >&5
     8561   echo "$as_me:8561: \$? = $ac_status" >&5
    85518562   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85528563   then
     
    1088910900  lt_status=$lt_dlunknown
    1089010901  cat > conftest.$ac_ext <<EOF
    10891 #line 10891 "configure"
     10902#line 10902 "configure"
    1089210903#include "confdefs.h"
    1089310904
     
    1098911000  lt_status=$lt_dlunknown
    1099011001  cat > conftest.$ac_ext <<EOF
    10991 #line 10991 "configure"
     11002#line 11002 "configure"
    1099211003#include "confdefs.h"
    1099311004
     
    1333313344   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1333413345   -e 's:$: $lt_compiler_flag:'`
    13335    (eval echo "\"\$as_me:13335: $lt_compile\"" >&5)
     13346   (eval echo "\"\$as_me:13346: $lt_compile\"" >&5)
    1333613347   (eval "$lt_compile" 2>conftest.err)
    1333713348   ac_status=$?
    1333813349   cat conftest.err >&5
    13339    echo "$as_me:13339: \$? = $ac_status" >&5
     13350   echo "$as_me:13350: \$? = $ac_status" >&5
    1334013351   if (exit $ac_status) && test -s "$ac_outfile"; then
    1334113352     # The compiler can only warn and ignore the option if not recognized
     
    1343713448   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1343813449   -e 's:$: $lt_compiler_flag:'`
    13439    (eval echo "\"\$as_me:13439: $lt_compile\"" >&5)
     13450   (eval echo "\"\$as_me:13450: $lt_compile\"" >&5)
    1344013451   (eval "$lt_compile" 2>out/conftest.err)
    1344113452   ac_status=$?
    1344213453   cat out/conftest.err >&5
    13443    echo "$as_me:13443: \$? = $ac_status" >&5
     13454   echo "$as_me:13454: \$? = $ac_status" >&5
    1344413455   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1344513456   then
     
    1500715018   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1500815019   -e 's:$: $lt_compiler_flag:'`
    15009    (eval echo "\"\$as_me:15009: $lt_compile\"" >&5)
     15020   (eval echo "\"\$as_me:15020: $lt_compile\"" >&5)
    1501015021   (eval "$lt_compile" 2>conftest.err)
    1501115022   ac_status=$?
    1501215023   cat conftest.err >&5
    15013    echo "$as_me:15013: \$? = $ac_status" >&5
     15024   echo "$as_me:15024: \$? = $ac_status" >&5
    1501415025   if (exit $ac_status) && test -s "$ac_outfile"; then
    1501515026     # The compiler can only warn and ignore the option if not recognized
     
    1511115122   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1511215123   -e 's:$: $lt_compiler_flag:'`
    15113    (eval echo "\"\$as_me:15113: $lt_compile\"" >&5)
     15124   (eval echo "\"\$as_me:15124: $lt_compile\"" >&5)
    1511415125   (eval "$lt_compile" 2>out/conftest.err)
    1511515126   ac_status=$?
    1511615127   cat out/conftest.err >&5
    15117    echo "$as_me:15117: \$? = $ac_status" >&5
     15128   echo "$as_me:15128: \$? = $ac_status" >&5
    1511815129   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1511915130   then
     
    1731817329   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1731917330   -e 's:$: $lt_compiler_flag:'`
    17320    (eval echo "\"\$as_me:17320: $lt_compile\"" >&5)
     17331   (eval echo "\"\$as_me:17331: $lt_compile\"" >&5)
    1732117332   (eval "$lt_compile" 2>conftest.err)
    1732217333   ac_status=$?
    1732317334   cat conftest.err >&5
    17324    echo "$as_me:17324: \$? = $ac_status" >&5
     17335   echo "$as_me:17335: \$? = $ac_status" >&5
    1732517336   if (exit $ac_status) && test -s "$ac_outfile"; then
    1732617337     # The compiler can only warn and ignore the option if not recognized
     
    1758617597   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1758717598   -e 's:$: $lt_compiler_flag:'`
    17588    (eval echo "\"\$as_me:17588: $lt_compile\"" >&5)
     17599   (eval echo "\"\$as_me:17599: $lt_compile\"" >&5)
    1758917600   (eval "$lt_compile" 2>conftest.err)
    1759017601   ac_status=$?
    1759117602   cat conftest.err >&5
    17592    echo "$as_me:17592: \$? = $ac_status" >&5
     17603   echo "$as_me:17603: \$? = $ac_status" >&5
    1759317604   if (exit $ac_status) && test -s "$ac_outfile"; then
    1759417605     # The compiler can only warn and ignore the option if not recognized
     
    1769017701   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1769117702   -e 's:$: $lt_compiler_flag:'`
    17692    (eval echo "\"\$as_me:17692: $lt_compile\"" >&5)
     17703   (eval echo "\"\$as_me:17703: $lt_compile\"" >&5)
    1769317704   (eval "$lt_compile" 2>out/conftest.err)
    1769417705   ac_status=$?
    1769517706   cat out/conftest.err >&5
    17696    echo "$as_me:17696: \$? = $ac_status" >&5
     17707   echo "$as_me:17707: \$? = $ac_status" >&5
    1769717708   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1769817709   then
     
    2363023641fi
    2363123642
     23643
     23644
     23645
     23646# Cbc really should make these tests; right now it assumes far too much about
     23647# its environment. Needed for cbc-generic.
     23648
     23649
     23650ac_ext=cc
     23651ac_cpp='$CXXCPP $CPPFLAGS'
     23652ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23653ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23654ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     23655
     23656#if test x"" = x; then
     23657#  hdr="#include <cmath>"
     23658#else
     23659#  hdr=""
     23660#fi
     23661#AC_CHECK_HEADERS([cmath],[],[],[$hdr])
     23662
     23663for ac_header in cmath
     23664do
     23665as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     23666if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23667  echo "$as_me:$LINENO: checking for $ac_header" >&5
     23668echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     23669if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23670  echo $ECHO_N "(cached) $ECHO_C" >&6
     23671fi
     23672echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     23673echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     23674else
     23675  # Is the header compilable?
     23676echo "$as_me:$LINENO: checking $ac_header usability" >&5
     23677echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     23678cat >conftest.$ac_ext <<_ACEOF
     23679/* confdefs.h.  */
     23680_ACEOF
     23681cat confdefs.h >>conftest.$ac_ext
     23682cat >>conftest.$ac_ext <<_ACEOF
     23683/* end confdefs.h.  */
     23684$ac_includes_default
     23685#include <$ac_header>
     23686_ACEOF
     23687rm -f conftest.$ac_objext
     23688if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     23689  (eval $ac_compile) 2>conftest.er1
     23690  ac_status=$?
     23691  grep -v '^ *+' conftest.er1 >conftest.err
     23692  rm -f conftest.er1
     23693  cat conftest.err >&5
     23694  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23695  (exit $ac_status); } &&
     23696         { ac_try='test -z "$ac_cxx_werror_flag"
     23697                         || test ! -s conftest.err'
     23698  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23699  (eval $ac_try) 2>&5
     23700  ac_status=$?
     23701  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23702  (exit $ac_status); }; } &&
     23703         { ac_try='test -s conftest.$ac_objext'
     23704  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23705  (eval $ac_try) 2>&5
     23706  ac_status=$?
     23707  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23708  (exit $ac_status); }; }; then
     23709  ac_header_compiler=yes
     23710else
     23711  echo "$as_me: failed program was:" >&5
     23712sed 's/^/| /' conftest.$ac_ext >&5
     23713
     23714ac_header_compiler=no
     23715fi
     23716rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     23717echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     23718echo "${ECHO_T}$ac_header_compiler" >&6
     23719
     23720# Is the header present?
     23721echo "$as_me:$LINENO: checking $ac_header presence" >&5
     23722echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     23723cat >conftest.$ac_ext <<_ACEOF
     23724/* confdefs.h.  */
     23725_ACEOF
     23726cat confdefs.h >>conftest.$ac_ext
     23727cat >>conftest.$ac_ext <<_ACEOF
     23728/* end confdefs.h.  */
     23729#include <$ac_header>
     23730_ACEOF
     23731if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     23732  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     23733  ac_status=$?
     23734  grep -v '^ *+' conftest.er1 >conftest.err
     23735  rm -f conftest.er1
     23736  cat conftest.err >&5
     23737  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23738  (exit $ac_status); } >/dev/null; then
     23739  if test -s conftest.err; then
     23740    ac_cpp_err=$ac_cxx_preproc_warn_flag
     23741    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     23742  else
     23743    ac_cpp_err=
     23744  fi
     23745else
     23746  ac_cpp_err=yes
     23747fi
     23748if test -z "$ac_cpp_err"; then
     23749  ac_header_preproc=yes
     23750else
     23751  echo "$as_me: failed program was:" >&5
     23752sed 's/^/| /' conftest.$ac_ext >&5
     23753
     23754  ac_header_preproc=no
     23755fi
     23756rm -f conftest.err conftest.$ac_ext
     23757echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     23758echo "${ECHO_T}$ac_header_preproc" >&6
     23759
     23760# So?  What about this header?
     23761case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     23762  yes:no: )
     23763    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     23764echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     23765    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     23766echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     23767    ac_header_preproc=yes
     23768    ;;
     23769  no:yes:* )
     23770    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     23771echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     23772    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     23773echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     23774    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     23775echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     23776    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     23777echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     23778    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     23779echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     23780    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     23781echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     23782    (
     23783      cat <<\_ASBOX
     23784## ------------------------------------ ##
     23785## Report this to cbc@lists.coin-or.org ##
     23786## ------------------------------------ ##
     23787_ASBOX
     23788    ) |
     23789      sed "s/^/$as_me: WARNING:     /" >&2
     23790    ;;
     23791esac
     23792echo "$as_me:$LINENO: checking for $ac_header" >&5
     23793echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     23794if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23795  echo $ECHO_N "(cached) $ECHO_C" >&6
     23796else
     23797  eval "$as_ac_Header=\$ac_header_preproc"
     23798fi
     23799echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     23800echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     23801
     23802fi
     23803if test `eval echo '${'$as_ac_Header'}'` = yes; then
     23804  cat >>confdefs.h <<_ACEOF
     23805#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     23806_ACEOF
     23807
     23808fi
     23809
     23810done
     23811
     23812
     23813if test "$ac_cv_header_cmath" != "yes"; then
     23814  #if test x"" = x; then
     23815#  hdr="#include <math.h>"
     23816#else
     23817#  hdr=""
     23818#fi
     23819#AC_CHECK_HEADERS([math.h],[],[],[$hdr])
     23820
     23821for ac_header in math.h
     23822do
     23823as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     23824if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23825  echo "$as_me:$LINENO: checking for $ac_header" >&5
     23826echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     23827if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23828  echo $ECHO_N "(cached) $ECHO_C" >&6
     23829fi
     23830echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     23831echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     23832else
     23833  # Is the header compilable?
     23834echo "$as_me:$LINENO: checking $ac_header usability" >&5
     23835echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     23836cat >conftest.$ac_ext <<_ACEOF
     23837/* confdefs.h.  */
     23838_ACEOF
     23839cat confdefs.h >>conftest.$ac_ext
     23840cat >>conftest.$ac_ext <<_ACEOF
     23841/* end confdefs.h.  */
     23842$ac_includes_default
     23843#include <$ac_header>
     23844_ACEOF
     23845rm -f conftest.$ac_objext
     23846if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     23847  (eval $ac_compile) 2>conftest.er1
     23848  ac_status=$?
     23849  grep -v '^ *+' conftest.er1 >conftest.err
     23850  rm -f conftest.er1
     23851  cat conftest.err >&5
     23852  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23853  (exit $ac_status); } &&
     23854         { ac_try='test -z "$ac_cxx_werror_flag"
     23855                         || test ! -s conftest.err'
     23856  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23857  (eval $ac_try) 2>&5
     23858  ac_status=$?
     23859  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23860  (exit $ac_status); }; } &&
     23861         { ac_try='test -s conftest.$ac_objext'
     23862  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23863  (eval $ac_try) 2>&5
     23864  ac_status=$?
     23865  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23866  (exit $ac_status); }; }; then
     23867  ac_header_compiler=yes
     23868else
     23869  echo "$as_me: failed program was:" >&5
     23870sed 's/^/| /' conftest.$ac_ext >&5
     23871
     23872ac_header_compiler=no
     23873fi
     23874rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     23875echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     23876echo "${ECHO_T}$ac_header_compiler" >&6
     23877
     23878# Is the header present?
     23879echo "$as_me:$LINENO: checking $ac_header presence" >&5
     23880echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     23881cat >conftest.$ac_ext <<_ACEOF
     23882/* confdefs.h.  */
     23883_ACEOF
     23884cat confdefs.h >>conftest.$ac_ext
     23885cat >>conftest.$ac_ext <<_ACEOF
     23886/* end confdefs.h.  */
     23887#include <$ac_header>
     23888_ACEOF
     23889if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     23890  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     23891  ac_status=$?
     23892  grep -v '^ *+' conftest.er1 >conftest.err
     23893  rm -f conftest.er1
     23894  cat conftest.err >&5
     23895  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23896  (exit $ac_status); } >/dev/null; then
     23897  if test -s conftest.err; then
     23898    ac_cpp_err=$ac_cxx_preproc_warn_flag
     23899    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     23900  else
     23901    ac_cpp_err=
     23902  fi
     23903else
     23904  ac_cpp_err=yes
     23905fi
     23906if test -z "$ac_cpp_err"; then
     23907  ac_header_preproc=yes
     23908else
     23909  echo "$as_me: failed program was:" >&5
     23910sed 's/^/| /' conftest.$ac_ext >&5
     23911
     23912  ac_header_preproc=no
     23913fi
     23914rm -f conftest.err conftest.$ac_ext
     23915echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     23916echo "${ECHO_T}$ac_header_preproc" >&6
     23917
     23918# So?  What about this header?
     23919case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     23920  yes:no: )
     23921    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     23922echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     23923    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     23924echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     23925    ac_header_preproc=yes
     23926    ;;
     23927  no:yes:* )
     23928    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     23929echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     23930    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     23931echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     23932    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     23933echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     23934    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     23935echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     23936    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     23937echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     23938    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     23939echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     23940    (
     23941      cat <<\_ASBOX
     23942## ------------------------------------ ##
     23943## Report this to cbc@lists.coin-or.org ##
     23944## ------------------------------------ ##
     23945_ASBOX
     23946    ) |
     23947      sed "s/^/$as_me: WARNING:     /" >&2
     23948    ;;
     23949esac
     23950echo "$as_me:$LINENO: checking for $ac_header" >&5
     23951echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     23952if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23953  echo $ECHO_N "(cached) $ECHO_C" >&6
     23954else
     23955  eval "$as_ac_Header=\$ac_header_preproc"
     23956fi
     23957echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     23958echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     23959
     23960fi
     23961if test `eval echo '${'$as_ac_Header'}'` = yes; then
     23962  cat >>confdefs.h <<_ACEOF
     23963#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     23964_ACEOF
     23965
     23966fi
     23967
     23968done
     23969
     23970
     23971fi
     23972ac_ext=c
     23973ac_cpp='$CPP $CPPFLAGS'
     23974ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23975ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23976ac_compiler_gnu=$ac_cv_c_compiler_gnu
     23977
     23978
     23979ac_ext=cc
     23980ac_cpp='$CXXCPP $CPPFLAGS'
     23981ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23982ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23983ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     23984
     23985#if test x"" = x; then
     23986#  hdr="#include <cfloat>"
     23987#else
     23988#  hdr=""
     23989#fi
     23990#AC_CHECK_HEADERS([cfloat],[],[],[$hdr])
     23991
     23992for ac_header in cfloat
     23993do
     23994as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     23995if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23996  echo "$as_me:$LINENO: checking for $ac_header" >&5
     23997echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     23998if eval "test \"\${$as_ac_Header+set}\" = set"; then
     23999  echo $ECHO_N "(cached) $ECHO_C" >&6
     24000fi
     24001echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24002echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24003else
     24004  # Is the header compilable?
     24005echo "$as_me:$LINENO: checking $ac_header usability" >&5
     24006echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     24007cat >conftest.$ac_ext <<_ACEOF
     24008/* confdefs.h.  */
     24009_ACEOF
     24010cat confdefs.h >>conftest.$ac_ext
     24011cat >>conftest.$ac_ext <<_ACEOF
     24012/* end confdefs.h.  */
     24013$ac_includes_default
     24014#include <$ac_header>
     24015_ACEOF
     24016rm -f conftest.$ac_objext
     24017if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     24018  (eval $ac_compile) 2>conftest.er1
     24019  ac_status=$?
     24020  grep -v '^ *+' conftest.er1 >conftest.err
     24021  rm -f conftest.er1
     24022  cat conftest.err >&5
     24023  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24024  (exit $ac_status); } &&
     24025         { ac_try='test -z "$ac_cxx_werror_flag"
     24026                         || test ! -s conftest.err'
     24027  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24028  (eval $ac_try) 2>&5
     24029  ac_status=$?
     24030  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24031  (exit $ac_status); }; } &&
     24032         { ac_try='test -s conftest.$ac_objext'
     24033  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24034  (eval $ac_try) 2>&5
     24035  ac_status=$?
     24036  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24037  (exit $ac_status); }; }; then
     24038  ac_header_compiler=yes
     24039else
     24040  echo "$as_me: failed program was:" >&5
     24041sed 's/^/| /' conftest.$ac_ext >&5
     24042
     24043ac_header_compiler=no
     24044fi
     24045rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     24046echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     24047echo "${ECHO_T}$ac_header_compiler" >&6
     24048
     24049# Is the header present?
     24050echo "$as_me:$LINENO: checking $ac_header presence" >&5
     24051echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     24052cat >conftest.$ac_ext <<_ACEOF
     24053/* confdefs.h.  */
     24054_ACEOF
     24055cat confdefs.h >>conftest.$ac_ext
     24056cat >>conftest.$ac_ext <<_ACEOF
     24057/* end confdefs.h.  */
     24058#include <$ac_header>
     24059_ACEOF
     24060if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     24061  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     24062  ac_status=$?
     24063  grep -v '^ *+' conftest.er1 >conftest.err
     24064  rm -f conftest.er1
     24065  cat conftest.err >&5
     24066  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24067  (exit $ac_status); } >/dev/null; then
     24068  if test -s conftest.err; then
     24069    ac_cpp_err=$ac_cxx_preproc_warn_flag
     24070    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     24071  else
     24072    ac_cpp_err=
     24073  fi
     24074else
     24075  ac_cpp_err=yes
     24076fi
     24077if test -z "$ac_cpp_err"; then
     24078  ac_header_preproc=yes
     24079else
     24080  echo "$as_me: failed program was:" >&5
     24081sed 's/^/| /' conftest.$ac_ext >&5
     24082
     24083  ac_header_preproc=no
     24084fi
     24085rm -f conftest.err conftest.$ac_ext
     24086echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     24087echo "${ECHO_T}$ac_header_preproc" >&6
     24088
     24089# So?  What about this header?
     24090case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     24091  yes:no: )
     24092    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     24093echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     24094    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     24095echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     24096    ac_header_preproc=yes
     24097    ;;
     24098  no:yes:* )
     24099    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     24100echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     24101    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     24102echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     24103    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     24104echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     24105    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     24106echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     24107    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     24108echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     24109    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     24110echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     24111    (
     24112      cat <<\_ASBOX
     24113## ------------------------------------ ##
     24114## Report this to cbc@lists.coin-or.org ##
     24115## ------------------------------------ ##
     24116_ASBOX
     24117    ) |
     24118      sed "s/^/$as_me: WARNING:     /" >&2
     24119    ;;
     24120esac
     24121echo "$as_me:$LINENO: checking for $ac_header" >&5
     24122echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24123if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24124  echo $ECHO_N "(cached) $ECHO_C" >&6
     24125else
     24126  eval "$as_ac_Header=\$ac_header_preproc"
     24127fi
     24128echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24129echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24130
     24131fi
     24132if test `eval echo '${'$as_ac_Header'}'` = yes; then
     24133  cat >>confdefs.h <<_ACEOF
     24134#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     24135_ACEOF
     24136
     24137fi
     24138
     24139done
     24140
     24141
     24142if test "$ac_cv_header_cfloat" != "yes"; then
     24143  #if test x"" = x; then
     24144#  hdr="#include <float.h>"
     24145#else
     24146#  hdr=""
     24147#fi
     24148#AC_CHECK_HEADERS([float.h],[],[],[$hdr])
     24149
     24150for ac_header in float.h
     24151do
     24152as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     24153if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24154  echo "$as_me:$LINENO: checking for $ac_header" >&5
     24155echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24156if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24157  echo $ECHO_N "(cached) $ECHO_C" >&6
     24158fi
     24159echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24160echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24161else
     24162  # Is the header compilable?
     24163echo "$as_me:$LINENO: checking $ac_header usability" >&5
     24164echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     24165cat >conftest.$ac_ext <<_ACEOF
     24166/* confdefs.h.  */
     24167_ACEOF
     24168cat confdefs.h >>conftest.$ac_ext
     24169cat >>conftest.$ac_ext <<_ACEOF
     24170/* end confdefs.h.  */
     24171$ac_includes_default
     24172#include <$ac_header>
     24173_ACEOF
     24174rm -f conftest.$ac_objext
     24175if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     24176  (eval $ac_compile) 2>conftest.er1
     24177  ac_status=$?
     24178  grep -v '^ *+' conftest.er1 >conftest.err
     24179  rm -f conftest.er1
     24180  cat conftest.err >&5
     24181  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24182  (exit $ac_status); } &&
     24183         { ac_try='test -z "$ac_cxx_werror_flag"
     24184                         || test ! -s conftest.err'
     24185  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24186  (eval $ac_try) 2>&5
     24187  ac_status=$?
     24188  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24189  (exit $ac_status); }; } &&
     24190         { ac_try='test -s conftest.$ac_objext'
     24191  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24192  (eval $ac_try) 2>&5
     24193  ac_status=$?
     24194  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24195  (exit $ac_status); }; }; then
     24196  ac_header_compiler=yes
     24197else
     24198  echo "$as_me: failed program was:" >&5
     24199sed 's/^/| /' conftest.$ac_ext >&5
     24200
     24201ac_header_compiler=no
     24202fi
     24203rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     24204echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     24205echo "${ECHO_T}$ac_header_compiler" >&6
     24206
     24207# Is the header present?
     24208echo "$as_me:$LINENO: checking $ac_header presence" >&5
     24209echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     24210cat >conftest.$ac_ext <<_ACEOF
     24211/* confdefs.h.  */
     24212_ACEOF
     24213cat confdefs.h >>conftest.$ac_ext
     24214cat >>conftest.$ac_ext <<_ACEOF
     24215/* end confdefs.h.  */
     24216#include <$ac_header>
     24217_ACEOF
     24218if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     24219  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     24220  ac_status=$?
     24221  grep -v '^ *+' conftest.er1 >conftest.err
     24222  rm -f conftest.er1
     24223  cat conftest.err >&5
     24224  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24225  (exit $ac_status); } >/dev/null; then
     24226  if test -s conftest.err; then
     24227    ac_cpp_err=$ac_cxx_preproc_warn_flag
     24228    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     24229  else
     24230    ac_cpp_err=
     24231  fi
     24232else
     24233  ac_cpp_err=yes
     24234fi
     24235if test -z "$ac_cpp_err"; then
     24236  ac_header_preproc=yes
     24237else
     24238  echo "$as_me: failed program was:" >&5
     24239sed 's/^/| /' conftest.$ac_ext >&5
     24240
     24241  ac_header_preproc=no
     24242fi
     24243rm -f conftest.err conftest.$ac_ext
     24244echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     24245echo "${ECHO_T}$ac_header_preproc" >&6
     24246
     24247# So?  What about this header?
     24248case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     24249  yes:no: )
     24250    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     24251echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     24252    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     24253echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     24254    ac_header_preproc=yes
     24255    ;;
     24256  no:yes:* )
     24257    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     24258echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     24259    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     24260echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     24261    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     24262echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     24263    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     24264echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     24265    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     24266echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     24267    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     24268echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     24269    (
     24270      cat <<\_ASBOX
     24271## ------------------------------------ ##
     24272## Report this to cbc@lists.coin-or.org ##
     24273## ------------------------------------ ##
     24274_ASBOX
     24275    ) |
     24276      sed "s/^/$as_me: WARNING:     /" >&2
     24277    ;;
     24278esac
     24279echo "$as_me:$LINENO: checking for $ac_header" >&5
     24280echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24281if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24282  echo $ECHO_N "(cached) $ECHO_C" >&6
     24283else
     24284  eval "$as_ac_Header=\$ac_header_preproc"
     24285fi
     24286echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24287echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24288
     24289fi
     24290if test `eval echo '${'$as_ac_Header'}'` = yes; then
     24291  cat >>confdefs.h <<_ACEOF
     24292#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     24293_ACEOF
     24294
     24295fi
     24296
     24297done
     24298
     24299
     24300fi
     24301ac_ext=c
     24302ac_cpp='$CPP $CPPFLAGS'
     24303ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     24304ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     24305ac_compiler_gnu=$ac_cv_c_compiler_gnu
     24306
     24307
     24308ac_ext=cc
     24309ac_cpp='$CXXCPP $CPPFLAGS'
     24310ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     24311ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     24312ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     24313
     24314#if test x"" = x; then
     24315#  hdr="#include <cieeefp>"
     24316#else
     24317#  hdr=""
     24318#fi
     24319#AC_CHECK_HEADERS([cieeefp],[],[],[$hdr])
     24320
     24321for ac_header in cieeefp
     24322do
     24323as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     24324if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24325  echo "$as_me:$LINENO: checking for $ac_header" >&5
     24326echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24327if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24328  echo $ECHO_N "(cached) $ECHO_C" >&6
     24329fi
     24330echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24331echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24332else
     24333  # Is the header compilable?
     24334echo "$as_me:$LINENO: checking $ac_header usability" >&5
     24335echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     24336cat >conftest.$ac_ext <<_ACEOF
     24337/* confdefs.h.  */
     24338_ACEOF
     24339cat confdefs.h >>conftest.$ac_ext
     24340cat >>conftest.$ac_ext <<_ACEOF
     24341/* end confdefs.h.  */
     24342$ac_includes_default
     24343#include <$ac_header>
     24344_ACEOF
     24345rm -f conftest.$ac_objext
     24346if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     24347  (eval $ac_compile) 2>conftest.er1
     24348  ac_status=$?
     24349  grep -v '^ *+' conftest.er1 >conftest.err
     24350  rm -f conftest.er1
     24351  cat conftest.err >&5
     24352  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24353  (exit $ac_status); } &&
     24354         { ac_try='test -z "$ac_cxx_werror_flag"
     24355                         || test ! -s conftest.err'
     24356  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24357  (eval $ac_try) 2>&5
     24358  ac_status=$?
     24359  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24360  (exit $ac_status); }; } &&
     24361         { ac_try='test -s conftest.$ac_objext'
     24362  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24363  (eval $ac_try) 2>&5
     24364  ac_status=$?
     24365  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24366  (exit $ac_status); }; }; then
     24367  ac_header_compiler=yes
     24368else
     24369  echo "$as_me: failed program was:" >&5
     24370sed 's/^/| /' conftest.$ac_ext >&5
     24371
     24372ac_header_compiler=no
     24373fi
     24374rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     24375echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     24376echo "${ECHO_T}$ac_header_compiler" >&6
     24377
     24378# Is the header present?
     24379echo "$as_me:$LINENO: checking $ac_header presence" >&5
     24380echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     24381cat >conftest.$ac_ext <<_ACEOF
     24382/* confdefs.h.  */
     24383_ACEOF
     24384cat confdefs.h >>conftest.$ac_ext
     24385cat >>conftest.$ac_ext <<_ACEOF
     24386/* end confdefs.h.  */
     24387#include <$ac_header>
     24388_ACEOF
     24389if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     24390  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     24391  ac_status=$?
     24392  grep -v '^ *+' conftest.er1 >conftest.err
     24393  rm -f conftest.er1
     24394  cat conftest.err >&5
     24395  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24396  (exit $ac_status); } >/dev/null; then
     24397  if test -s conftest.err; then
     24398    ac_cpp_err=$ac_cxx_preproc_warn_flag
     24399    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     24400  else
     24401    ac_cpp_err=
     24402  fi
     24403else
     24404  ac_cpp_err=yes
     24405fi
     24406if test -z "$ac_cpp_err"; then
     24407  ac_header_preproc=yes
     24408else
     24409  echo "$as_me: failed program was:" >&5
     24410sed 's/^/| /' conftest.$ac_ext >&5
     24411
     24412  ac_header_preproc=no
     24413fi
     24414rm -f conftest.err conftest.$ac_ext
     24415echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     24416echo "${ECHO_T}$ac_header_preproc" >&6
     24417
     24418# So?  What about this header?
     24419case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     24420  yes:no: )
     24421    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     24422echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     24423    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     24424echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     24425    ac_header_preproc=yes
     24426    ;;
     24427  no:yes:* )
     24428    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     24429echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     24430    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     24431echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     24432    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     24433echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     24434    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     24435echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     24436    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     24437echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     24438    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     24439echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     24440    (
     24441      cat <<\_ASBOX
     24442## ------------------------------------ ##
     24443## Report this to cbc@lists.coin-or.org ##
     24444## ------------------------------------ ##
     24445_ASBOX
     24446    ) |
     24447      sed "s/^/$as_me: WARNING:     /" >&2
     24448    ;;
     24449esac
     24450echo "$as_me:$LINENO: checking for $ac_header" >&5
     24451echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24452if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24453  echo $ECHO_N "(cached) $ECHO_C" >&6
     24454else
     24455  eval "$as_ac_Header=\$ac_header_preproc"
     24456fi
     24457echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24458echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24459
     24460fi
     24461if test `eval echo '${'$as_ac_Header'}'` = yes; then
     24462  cat >>confdefs.h <<_ACEOF
     24463#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     24464_ACEOF
     24465
     24466fi
     24467
     24468done
     24469
     24470
     24471if test "$ac_cv_header_cieeefp" != "yes"; then
     24472  #if test x"" = x; then
     24473#  hdr="#include <ieeefp.h>"
     24474#else
     24475#  hdr=""
     24476#fi
     24477#AC_CHECK_HEADERS([ieeefp.h],[],[],[$hdr])
     24478
     24479for ac_header in ieeefp.h
     24480do
     24481as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     24482if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24483  echo "$as_me:$LINENO: checking for $ac_header" >&5
     24484echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24485if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24486  echo $ECHO_N "(cached) $ECHO_C" >&6
     24487fi
     24488echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24489echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24490else
     24491  # Is the header compilable?
     24492echo "$as_me:$LINENO: checking $ac_header usability" >&5
     24493echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     24494cat >conftest.$ac_ext <<_ACEOF
     24495/* confdefs.h.  */
     24496_ACEOF
     24497cat confdefs.h >>conftest.$ac_ext
     24498cat >>conftest.$ac_ext <<_ACEOF
     24499/* end confdefs.h.  */
     24500$ac_includes_default
     24501#include <$ac_header>
     24502_ACEOF
     24503rm -f conftest.$ac_objext
     24504if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     24505  (eval $ac_compile) 2>conftest.er1
     24506  ac_status=$?
     24507  grep -v '^ *+' conftest.er1 >conftest.err
     24508  rm -f conftest.er1
     24509  cat conftest.err >&5
     24510  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24511  (exit $ac_status); } &&
     24512         { ac_try='test -z "$ac_cxx_werror_flag"
     24513                         || test ! -s conftest.err'
     24514  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24515  (eval $ac_try) 2>&5
     24516  ac_status=$?
     24517  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24518  (exit $ac_status); }; } &&
     24519         { ac_try='test -s conftest.$ac_objext'
     24520  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24521  (eval $ac_try) 2>&5
     24522  ac_status=$?
     24523  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24524  (exit $ac_status); }; }; then
     24525  ac_header_compiler=yes
     24526else
     24527  echo "$as_me: failed program was:" >&5
     24528sed 's/^/| /' conftest.$ac_ext >&5
     24529
     24530ac_header_compiler=no
     24531fi
     24532rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     24533echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     24534echo "${ECHO_T}$ac_header_compiler" >&6
     24535
     24536# Is the header present?
     24537echo "$as_me:$LINENO: checking $ac_header presence" >&5
     24538echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     24539cat >conftest.$ac_ext <<_ACEOF
     24540/* confdefs.h.  */
     24541_ACEOF
     24542cat confdefs.h >>conftest.$ac_ext
     24543cat >>conftest.$ac_ext <<_ACEOF
     24544/* end confdefs.h.  */
     24545#include <$ac_header>
     24546_ACEOF
     24547if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     24548  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     24549  ac_status=$?
     24550  grep -v '^ *+' conftest.er1 >conftest.err
     24551  rm -f conftest.er1
     24552  cat conftest.err >&5
     24553  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24554  (exit $ac_status); } >/dev/null; then
     24555  if test -s conftest.err; then
     24556    ac_cpp_err=$ac_cxx_preproc_warn_flag
     24557    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     24558  else
     24559    ac_cpp_err=
     24560  fi
     24561else
     24562  ac_cpp_err=yes
     24563fi
     24564if test -z "$ac_cpp_err"; then
     24565  ac_header_preproc=yes
     24566else
     24567  echo "$as_me: failed program was:" >&5
     24568sed 's/^/| /' conftest.$ac_ext >&5
     24569
     24570  ac_header_preproc=no
     24571fi
     24572rm -f conftest.err conftest.$ac_ext
     24573echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     24574echo "${ECHO_T}$ac_header_preproc" >&6
     24575
     24576# So?  What about this header?
     24577case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     24578  yes:no: )
     24579    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     24580echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     24581    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     24582echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     24583    ac_header_preproc=yes
     24584    ;;
     24585  no:yes:* )
     24586    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     24587echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     24588    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     24589echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     24590    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     24591echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     24592    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     24593echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     24594    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     24595echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     24596    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     24597echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     24598    (
     24599      cat <<\_ASBOX
     24600## ------------------------------------ ##
     24601## Report this to cbc@lists.coin-or.org ##
     24602## ------------------------------------ ##
     24603_ASBOX
     24604    ) |
     24605      sed "s/^/$as_me: WARNING:     /" >&2
     24606    ;;
     24607esac
     24608echo "$as_me:$LINENO: checking for $ac_header" >&5
     24609echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24610if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24611  echo $ECHO_N "(cached) $ECHO_C" >&6
     24612else
     24613  eval "$as_ac_Header=\$ac_header_preproc"
     24614fi
     24615echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24616echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24617
     24618fi
     24619if test `eval echo '${'$as_ac_Header'}'` = yes; then
     24620  cat >>confdefs.h <<_ACEOF
     24621#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     24622_ACEOF
     24623
     24624fi
     24625
     24626done
     24627
     24628
     24629fi
     24630ac_ext=c
     24631ac_cpp='$CPP $CPPFLAGS'
     24632ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     24633ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     24634ac_compiler_gnu=$ac_cv_c_compiler_gnu
     24635
     24636
     24637
     24638# And this is necessary if we're going to read gzip'd files. We just need the
     24639# symbol; no need to link in the library.
     24640
     24641# Check whether --enable-gnu-packages or --disable-gnu-packages was given.
     24642if test "${enable_gnu_packages+set}" = set; then
     24643  enableval="$enable_gnu_packages"
     24644  coin_enable_gnu=$enableval
     24645else
     24646  coin_enable_gnu=no
     24647fi;
     24648
     24649
     24650
     24651
     24652
     24653
     24654
     24655coin_has_zlib=no
     24656if test $coin_enable_gnu = yes; then
     24657  #if test x"" = x; then
     24658#  hdr="#include <zlib.h>"
     24659#else
     24660#  hdr=""
     24661#fi
     24662#AC_CHECK_HEADERS([zlib.h],[coin_has_zlib=yes],[],[$hdr])
     24663
     24664for ac_header in zlib.h
     24665do
     24666as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     24667if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24668  echo "$as_me:$LINENO: checking for $ac_header" >&5
     24669echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24670if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24671  echo $ECHO_N "(cached) $ECHO_C" >&6
     24672fi
     24673echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24674echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24675else
     24676  # Is the header compilable?
     24677echo "$as_me:$LINENO: checking $ac_header usability" >&5
     24678echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     24679cat >conftest.$ac_ext <<_ACEOF
     24680/* confdefs.h.  */
     24681_ACEOF
     24682cat confdefs.h >>conftest.$ac_ext
     24683cat >>conftest.$ac_ext <<_ACEOF
     24684/* end confdefs.h.  */
     24685$ac_includes_default
     24686#include <$ac_header>
     24687_ACEOF
     24688rm -f conftest.$ac_objext
     24689if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     24690  (eval $ac_compile) 2>conftest.er1
     24691  ac_status=$?
     24692  grep -v '^ *+' conftest.er1 >conftest.err
     24693  rm -f conftest.er1
     24694  cat conftest.err >&5
     24695  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24696  (exit $ac_status); } &&
     24697         { ac_try='test -z "$ac_c_werror_flag"
     24698                         || test ! -s conftest.err'
     24699  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24700  (eval $ac_try) 2>&5
     24701  ac_status=$?
     24702  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24703  (exit $ac_status); }; } &&
     24704         { ac_try='test -s conftest.$ac_objext'
     24705  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24706  (eval $ac_try) 2>&5
     24707  ac_status=$?
     24708  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24709  (exit $ac_status); }; }; then
     24710  ac_header_compiler=yes
     24711else
     24712  echo "$as_me: failed program was:" >&5
     24713sed 's/^/| /' conftest.$ac_ext >&5
     24714
     24715ac_header_compiler=no
     24716fi
     24717rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     24718echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     24719echo "${ECHO_T}$ac_header_compiler" >&6
     24720
     24721# Is the header present?
     24722echo "$as_me:$LINENO: checking $ac_header presence" >&5
     24723echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     24724cat >conftest.$ac_ext <<_ACEOF
     24725/* confdefs.h.  */
     24726_ACEOF
     24727cat confdefs.h >>conftest.$ac_ext
     24728cat >>conftest.$ac_ext <<_ACEOF
     24729/* end confdefs.h.  */
     24730#include <$ac_header>
     24731_ACEOF
     24732if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     24733  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     24734  ac_status=$?
     24735  grep -v '^ *+' conftest.er1 >conftest.err
     24736  rm -f conftest.er1
     24737  cat conftest.err >&5
     24738  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24739  (exit $ac_status); } >/dev/null; then
     24740  if test -s conftest.err; then
     24741    ac_cpp_err=$ac_c_preproc_warn_flag
     24742    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     24743  else
     24744    ac_cpp_err=
     24745  fi
     24746else
     24747  ac_cpp_err=yes
     24748fi
     24749if test -z "$ac_cpp_err"; then
     24750  ac_header_preproc=yes
     24751else
     24752  echo "$as_me: failed program was:" >&5
     24753sed 's/^/| /' conftest.$ac_ext >&5
     24754
     24755  ac_header_preproc=no
     24756fi
     24757rm -f conftest.err conftest.$ac_ext
     24758echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     24759echo "${ECHO_T}$ac_header_preproc" >&6
     24760
     24761# So?  What about this header?
     24762case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     24763  yes:no: )
     24764    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     24765echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     24766    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     24767echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     24768    ac_header_preproc=yes
     24769    ;;
     24770  no:yes:* )
     24771    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     24772echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     24773    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     24774echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     24775    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     24776echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     24777    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     24778echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     24779    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     24780echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     24781    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     24782echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     24783    (
     24784      cat <<\_ASBOX
     24785## ------------------------------------ ##
     24786## Report this to cbc@lists.coin-or.org ##
     24787## ------------------------------------ ##
     24788_ASBOX
     24789    ) |
     24790      sed "s/^/$as_me: WARNING:     /" >&2
     24791    ;;
     24792esac
     24793echo "$as_me:$LINENO: checking for $ac_header" >&5
     24794echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24795if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24796  echo $ECHO_N "(cached) $ECHO_C" >&6
     24797else
     24798  eval "$as_ac_Header=\$ac_header_preproc"
     24799fi
     24800echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24801echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24802
     24803fi
     24804if test `eval echo '${'$as_ac_Header'}'` = yes; then
     24805  cat >>confdefs.h <<_ACEOF
     24806#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     24807_ACEOF
     24808 coin_has_zlib=yes
     24809fi
     24810
     24811done
     24812
     24813
     24814
     24815  if test $coin_has_zlib = yes; then
     24816    echo "$as_me:$LINENO: checking for gzopen in -lz" >&5
     24817echo $ECHO_N "checking for gzopen in -lz... $ECHO_C" >&6
     24818if test "${ac_cv_lib_z_gzopen+set}" = set; then
     24819  echo $ECHO_N "(cached) $ECHO_C" >&6
     24820else
     24821  ac_check_lib_save_LIBS=$LIBS
     24822LIBS="-lz  $LIBS"
     24823cat >conftest.$ac_ext <<_ACEOF
     24824/* confdefs.h.  */
     24825_ACEOF
     24826cat confdefs.h >>conftest.$ac_ext
     24827cat >>conftest.$ac_ext <<_ACEOF
     24828/* end confdefs.h.  */
     24829
     24830/* Override any gcc2 internal prototype to avoid an error.  */
     24831#ifdef __cplusplus
     24832extern "C"
     24833#endif
     24834/* We use char because int might match the return type of a gcc2
     24835   builtin and then its argument prototype would still apply.  */
     24836char gzopen ();
     24837int
     24838main ()
     24839{
     24840gzopen ();
     24841  ;
     24842  return 0;
     24843}
     24844_ACEOF
     24845rm -f conftest.$ac_objext conftest$ac_exeext
     24846if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     24847  (eval $ac_link) 2>conftest.er1
     24848  ac_status=$?
     24849  grep -v '^ *+' conftest.er1 >conftest.err
     24850  rm -f conftest.er1
     24851  cat conftest.err >&5
     24852  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24853  (exit $ac_status); } &&
     24854         { ac_try='test -z "$ac_c_werror_flag"
     24855                         || test ! -s conftest.err'
     24856  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24857  (eval $ac_try) 2>&5
     24858  ac_status=$?
     24859  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24860  (exit $ac_status); }; } &&
     24861         { ac_try='test -s conftest$ac_exeext'
     24862  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24863  (eval $ac_try) 2>&5
     24864  ac_status=$?
     24865  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24866  (exit $ac_status); }; }; then
     24867  ac_cv_lib_z_gzopen=yes
     24868else
     24869  echo "$as_me: failed program was:" >&5
     24870sed 's/^/| /' conftest.$ac_ext >&5
     24871
     24872ac_cv_lib_z_gzopen=no
     24873fi
     24874rm -f conftest.err conftest.$ac_objext \
     24875      conftest$ac_exeext conftest.$ac_ext
     24876LIBS=$ac_check_lib_save_LIBS
     24877fi
     24878echo "$as_me:$LINENO: result: $ac_cv_lib_z_gzopen" >&5
     24879echo "${ECHO_T}$ac_cv_lib_z_gzopen" >&6
     24880if test $ac_cv_lib_z_gzopen = yes; then
     24881
     24882                 :
     24883else
     24884  coin_has_zlib=no
     24885fi
     24886
     24887  fi
     24888
     24889  if test $coin_has_zlib = yes; then
     24890
     24891cat >>confdefs.h <<\_ACEOF
     24892#define COIN_HAS_ZLIB 1
     24893_ACEOF
     24894
     24895  fi
     24896fi
     24897
     24898
     24899
     24900if test x$coin_has_zlib = xyes; then
     24901  COIN_HAS_ZLIB_TRUE=
     24902  COIN_HAS_ZLIB_FALSE='#'
     24903else
     24904  COIN_HAS_ZLIB_TRUE='#'
     24905  COIN_HAS_ZLIB_FALSE=
     24906fi
    2363224907
    2363324908
     
    2889130166Usually this means the macro was only invoked conditionally." >&5
    2889230167echo "$as_me: error: conditional \"COIN_HAS_MIPLIB3\" was never defined.
     30168Usually this means the macro was only invoked conditionally." >&2;}
     30169   { (exit 1); exit 1; }; }
     30170fi
     30171if test -z "${COIN_HAS_ZLIB_TRUE}" && test -z "${COIN_HAS_ZLIB_FALSE}"; then
     30172  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ZLIB\" was never defined.
     30173Usually this means the macro was only invoked conditionally." >&5
     30174echo "$as_me: error: conditional \"COIN_HAS_ZLIB\" was never defined.
    2889330175Usually this means the macro was only invoked conditionally." >&2;}
    2889430176   { (exit 1); exit 1; }; }
     
    2981531097s,@COIN_HAS_MIPLIB3_TRUE@,$COIN_HAS_MIPLIB3_TRUE,;t t
    2981631098s,@COIN_HAS_MIPLIB3_FALSE@,$COIN_HAS_MIPLIB3_FALSE,;t t
     31099s,@COIN_HAS_ZLIB_TRUE@,$COIN_HAS_ZLIB_TRUE,;t t
     31100s,@COIN_HAS_ZLIB_FALSE@,$COIN_HAS_ZLIB_FALSE,;t t
    2981731101s,@DYLP_LIBS@,$DYLP_LIBS,;t t
    2981831102s,@DYLP_CFLAGS@,$DYLP_CFLAGS,;t t
  • trunk/Cbc/configure.ac

    r1578 r1646  
    7575AC_COIN_CHECK_PACKAGE(Netlib,   [coindatanetlib])
    7676AC_COIN_CHECK_PACKAGE(Miplib3,  [coindatamiplib3])
     77
     78# Cbc really should make these tests; right now it assumes far too much about
     79# its environment. Needed for cbc-generic.
     80
     81AC_COIN_CHECK_CXX_CHEADER(math)
     82AC_COIN_CHECK_CXX_CHEADER(float)
     83AC_COIN_CHECK_CXX_CHEADER(ieeefp)
     84
     85# And this is necessary if we're going to read gzip'd files. We just need the
     86# symbol; no need to link in the library.
     87
     88AC_COIN_CHECK_GNU_ZLIB()
    7789
    7890#############################################################################
  • trunk/Cbc/inc/config_cbc.h.in

    r1610 r1646  
    7474#undef COIN_HAS_XPR
    7575
     76/* Define to 1 if zlib is available */
     77#undef COIN_HAS_ZLIB
     78
     79/* Define to 1 if you have the <cfloat> header file. */
     80#undef HAVE_CFLOAT
     81
     82/* Define to 1 if you have the <cieeefp> header file. */
     83#undef HAVE_CIEEEFP
     84
    7685/* Define if clock_gettime and rt library is available */
    7786#undef HAVE_CLOCK_GETTIME
     87
     88/* Define to 1 if you have the <cmath> header file. */
     89#undef HAVE_CMATH
    7890
    7991/* Define to 1 if you have the <dlfcn.h> header file. */
    8092#undef HAVE_DLFCN_H
    8193
     94/* Define to 1 if you have the <float.h> header file. */
     95#undef HAVE_FLOAT_H
     96
     97/* Define to 1 if you have the <ieeefp.h> header file. */
     98#undef HAVE_IEEEFP_H
     99
    82100/* Define to 1 if you have the <inttypes.h> header file. */
    83101#undef HAVE_INTTYPES_H
     102
     103/* Define to 1 if you have the <math.h> header file. */
     104#undef HAVE_MATH_H
    84105
    85106/* Define to 1 if you have the <memory.h> header file. */
     
    106127/* Define to 1 if you have the <unistd.h> header file. */
    107128#undef HAVE_UNISTD_H
     129
     130/* Define to 1 if you have the <zlib.h> header file. */
     131#undef HAVE_ZLIB_H
    108132
    109133/* define to the name of the default solver interface class, e.g.,
  • trunk/Cbc/src/Makefile.in

    r1598 r1646  
    277277COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    278278COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     279COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
     280COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    279281COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    280282COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
  • trunk/Cbc/src/OsiCbc/Makefile.in

    r1568 r1646  
    196196COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    197197COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     198COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
     199COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    198200COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    199201COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
  • trunk/Cbc/test/Makefile.in

    r1611 r1646  
    179179COIN_HAS_XPR_FALSE = @COIN_HAS_XPR_FALSE@
    180180COIN_HAS_XPR_TRUE = @COIN_HAS_XPR_TRUE@
     181COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
     182COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    181183COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    182184COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
Note: See TracChangeset for help on using the changeset viewer.